Bug 481376 - (CVE-2008-5714) CVE-2008-5714 qemu: off-by-one error in monitor.c causing VNC passwords to be truncated after 7th character
CVE-2008-5714 qemu: off-by-one error in monitor.c causing VNC passwords to be...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=low,source=cve,reported=200812...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 15:12 EST by Josh Bressers
Modified: 2016-03-04 07:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 06:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-01-23 15:12:36 EST
Off-by-one error in monitor.c in Qemu 0.9.1 might make it easier for remote attackers to guess the VNC password, which is limited to seven characters where eight was intended.

http://lists.gnu.org/archive/html/qemu-devel/2008-11/msg01224.html
http://lists.gnu.org/archive/html/qemu-devel/2008-12/msg00498.html
http://svn.savannah.gnu.org/viewvc/?view=rev&root=qemu&revision=5966
http://svn.savannah.gnu.org/viewvc/trunk/monitor.c?root=qemu&r1=5966&r2=5965&pathrev=5966
Comment 1 Tomas Hoger 2009-01-26 05:59:21 EST
More information on setting VNC passwords for Qemu/KVM guests can be found here:
http://www.linux-kvm.com/content/securing-your-vnc-headless-guest-simple-passwords
http://bellard.org/qemu/qemu-doc.html#SEC36

Looking at various version of Qemu, KVM and Xen shipped, following seem to be affected:

- Qemu - All versions shipped in stable Fedora versions are currently based on upstream version 0.9.1 that contains this flaw.

- KVM - Current versions in stable Fedora versions (65-15.fc9 and 74-10.fc10) contain this problem as well.  Issue was fixed in KVM upstream git report via:
  http://git.kernel.org/?p=virt/kvm/kvm-userspace.git;a=commitdiff;h=003afe2201
and the fix is included in version 82 and later.

- Xen - Version of Xen as shipped in Red Hat Enterprise Linux 5 (3.0.3-80.el5) and Fedora 9 (3.2.0-15.fc9) are not affected by this flaw (longer (256) buffer used, full buffer size passed to monitor_readline()).  The flaw exists in Fedora 10 and Rawhide Xen versions (3.3.0-1.fc10 and 3.3.1-2.fc11, ioemu-qemu-xen).

Is there any way to run Qemu / KVM with monitor enabled when used with libvirt?  From the search through the XML format spec, there does not seem to be any option to enable it.  Is there a way to enable monitor in qemu-dm used by Xen?
Comment 2 Glauber Costa 2009-01-26 06:39:27 EST
Oh god, will those CVEs on vnc ever stop?

Note You need to log in before you can comment on or make changes to this bug.